
varying vec4 v_fragmentColor;

// Inputs
varying vec2 v_texCoord;                // Texture coordinate (u, v).


uniform vec3 u_Color1;
uniform vec3 u_Color2;

void main(void)
{
	vec4 v_orColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	vec3 color = v_orColor.rgb * (u_Color2 * v_texCoord.y + u_Color1 * (1 - v_texCoord.y));
	gl_FragColor = vec4(color.x,color.y,color.z,v_orColor.a);
}